#
# spec file for package perl-Mail-Audit
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mail-Audit
Version:        2.228
Release:        1.28
%define cpan_name Mail-Audit
Summary:        Library for Creating Easy Mail Filters
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mail-Audit/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::HomeDir) >= 0.61
BuildRequires:  perl(File::Tempdir)
BuildRequires:  perl(MIME::Entity)
BuildRequires:  perl(MIME::Parser)
BuildRequires:  perl(Mail::Internet)
BuildRequires:  perl(Mail::Mailer)
BuildRequires:  perl(Mail::POP3Client)
BuildRequires:  perl(Mail::Send)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(File::HomeDir) >= 0.61
Requires:       perl(File::Tempdir)
Requires:       perl(MIME::Entity)
Requires:       perl(MIME::Parser)
Requires:       perl(Mail::Internet)
Requires:       perl(Mail::Mailer)
Requires:       perl(Mail::POP3Client)
Requires:       perl(Mail::Send)
Requires:       perl(Parse::RecDescent)
Requires:       perl(parent)
%{perl_requires}

%description
_procmail_ is nasty. It has a tortuous and complicated recipe format, and I
don't like it. I wanted something flexible whereby I could filter my mail
using Perl tests.

Mail::Audit was inspired by Tom Christiansen's _audit_mail_ and
_deliverlib_ programs. It allows a piece of email to be logged, examined,
accepted into a mailbox, filtered, resent elsewhere, rejected, replied to,
and so on. It's designed to allow you to easily create filter programs to
stick in a _.forward_ file or similar.

Mail::Audit groks MIME; when appropriate, it subclasses MIME::Entity. Read
the MIME::Tools man page for details.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes FAQ LICENSE README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 2.228
  see /usr/share/doc/packages/perl-Mail-Audit/Changes
  2.228     2013-09-28 21:11:48 America/New_York
    repackage, update repo and bugtracker metadata
  2.227     2011-11-14
    avoid leaking filehandles for logging
  2.226     2011-11-11
    do not an impossible-to-survive state when MimeEntity autotype fails
* Sun May  1 2011 coolo@opensuse.org
- initial package 2.225
  * created by cpanspec 1.78.04
